ProofOfPossessionSigningKeyBuilder (Bouncy Castle Library 1.52 API Specification)
Date: 2015-03-01

org.bouncycastle.cert.crmf

## Class ProofOfPossessionSigningKeyBuilder

- java.lang.Object
- - org.bouncycastle.cert.crmf.ProofOfPossessionSigningKeyBuilder

-     public class ProofOfPossessionSigningKeyBuilder
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProofOfPossessionSigningKeyBuilder(org.bouncycastle.asn1.crmf.CertRequest certRequest)`
    `ProofOfPossessionSigningKeyBuilder(org.bouncycastle.asn1.x509.SubjectPublicKeyInfo pubKeyInfo)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.bouncycastle.asn1.crmf.POPOSigningKey` | `build(ContentSigner signer)`
    `ProofOfPossessionSigningKeyBuilder` | `setPublicKeyMac(org.bouncycastle.cert.crmf.PKMACValueGenerator generator, char[] password)`
    `ProofOfPossessionSigningKeyBuilder` | `setSender(org.bouncycastle.asn1.x509.GeneralName name)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ProofOfPossessionSigningKeyBuilder

          public ProofOfPossessionSigningKeyBuilder(org.bouncycastle.asn1.crmf.CertRequest certRequest)

    - #### ProofOfPossessionSigningKeyBuilder

          public ProofOfPossessionSigningKeyBuilder(org.bouncycastle.asn1.x509.SubjectPublicKeyInfo pubKeyInfo)

  - ### Method Detail

    - #### setSender

          public ProofOfPossessionSigningKeyBuilder setSender(org.bouncycastle.asn1.x509.GeneralName name)

    - #### setPublicKeyMac

          public ProofOfPossessionSigningKeyBuilder setPublicKeyMac(org.bouncycastle.cert.crmf.PKMACValueGenerator generator,
                                                           char[] password)
                                                             throws CRMFException

      Throws:
        `CRMFException`

    - #### build

          public org.bouncycastle.asn1.crmf.POPOSigningKey build(ContentSigner signer)